SQLite3::prepare
SQLite3::querySingle
SQLite3
PHP Manual

# SQLite3::query

Executes an SQL query

### Description

public SQLite3Result SQLite3::query ( string `$query` )

Executes an SQL query, returning an SQLite3Result object if the query returns results.

### Parameters

`query`

  The SQL query to execute.

### Return Values

Returns an SQLite3Result object if the query returns results. Otherwise, returns `TRUE` if the query succeeded, `FALSE` on failure.

### Examples

Example #1 SQLite3::query example

`<?php
$db = new SQLite3('mysqlitedb.db');
$results = $db->query('SELECT bar FROM foo');
while ($row = $results->fetchArray()) {
var_dump($row);
}
?>`